import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import {getCreateCommunityProps} from 'ui/mock/context'
import { CreateCollectionPanel } from 'ui/modules/CreateCollectionPanel';
import { action } from '@storybook/addon-actions';
import Modal from 'ui/modules/Modal'

<Meta title="Modules|Create a collection" component={CreateCollectionPanel}/>

# CreateCollectionPanel
Let's define a story for the `Create Collection Panel preview` module

<Preview>
  <Story name="Create a Collection">
    <Modal closeModal={action('close modal')}>
      <CreateCollectionPanel {...getCreateCommunityProps()} />
    </Modal>
  </Story>  
</Preview>

